package com.gingersoft.gsa.cloud.table.app.payment.contract;

import android.content.Context;
import com.gingersoft.gsa.cloud.table.app.payment.bean.AdjustTipRequest;
import com.gingersoft.gsa.cloud.table.app.payment.bean.PayRequest;
import com.gingersoft.gsa.cloud.table.app.payment.bean.RefundRequest;
import com.gingersoft.gsa.cloud.table.app.payment.bean.RetrievalRequest;
import com.gingersoft.gsa.cloud.table.app.payment.bean.SettlementRequest;
import com.gingersoft.gsa.cloud.table.app.payment.bean.VoidRequest;
import com.gingersoft.gsa.cloud.table.app.printer.PrintPaymentStub;


/**
 * 作者：ELEGANT_BIN
 * 版本：1.6.0
 * 创建日期：2019/6/13
 * 修订历史：2019/6/13
 * 描述：
 */
public interface IN5Action {

    void sendSaleRequest(Context context, PayRequest request);

    void sendVoidRequest(Context context, VoidRequest request);

    void sendRefundRequest(Context context, RefundRequest request);

    void sendAdjustTipResuest(Context context, AdjustTipRequest request);

    void sendPrintPaymentStubRequest(Context context, PrintPaymentStub request);

    void sendRetrievalRequest(Context context, RetrievalRequest request);

    void sendSettlementRequest(Context context, SettlementRequest request);
}
